Kerbal Space Program - Bug #21431

[1.4.x -> 1.6.1] Game forces resolution reset on scene change
03/02/2019 10:45 PM - Gameslinx

Status: Confirmed Start date: 03/02/2019
Severity: Low % Done: 10%
Assignee:

Category: Camera

Target version:

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

| use a 4k monitor and | lower the resolution to 2560 X 1440 to run the game faster. KSP does not maintain this resolution and
regularly forces it back up to 4k during a scene change if playing at full screen.

This is a 100% reproducable bug. Run the game in full screen, lower resolution in graphics settings and do a few scene changes to
flight and back.

This is an incredibly high priority bug for myself and others included because this bug has existed since 1.4.0 and for it to be unfixed
for all this time is abysmal and downright disappointing, that's all | have to say.

No images or media attached because this has a 100% reproduce rate and it's difficult to capture the issue. Best experience it
yourself, only takes a few minutes.

History

#1 - 03/02/2019 11:42 PM - Anth12

Ive seen this reported before.
The one thing countering this being fixed is if its modded...

| have tried to reproduce this bug and cant and its not one that has just popped up for 4K monitors, others have done this with other resolutions as
well.

Are you using mods?

can you supply a ksp.log for when it happens
can you supply a settings.cfg file.

| cant reproduce this.

#2 - 03/03/2019 08:17 AM - Gameslinx

- File KSP.log added

- File settings.cfg added

Anth12 wrote:
Ive seen this reported before.

The one thing countering this being fixed is if its modded...

| have tried to reproduce this bug and cant and its not one that has just popped up for 4K monitors, others have done this with other resolutions
as well.

Are you using mods?
can you supply a ksp.log for when it happens
can you supply a settings.cfg file.

| cant reproduce this.

No mods are being used - this is the stock game. Log files have been attached below.
Note - Settings.cfg does not get changed when the resolution resets itself, it stays at the res i defined but the game reverts back to 4k.

#3 - 03/03/2019 11:32 PM - Anth12
- File Verify Integrity.png added

You log file indicates some issues.

The log file shows you are running 1.6.0 instead of 1.6.1
The log file shows issues relating to the steam aspect of the game.
The log file also seems to show issues with parts in the game

| recommend you do the following:

1. If you can first backup your saves to somewhere other than the KSP game folder,

2. delete the entire contents of the KSP folder

3. Then right click on Kerbal Space Program in the steam menu and get the window | have on the screenshot
and click on Verify Integrity of Game Files.

4. Dont do any of the above if you havent backed up the game

This will create a clean install of the game.
Then copy the back up and put it into the save folder.
Then try the game again.

Note | am not employed by squad, but this an interesting bug to figure out, because others have had it too, even without 4K monitors

#4 - 03/03/2019 11:33 PM - Anth12

Create...| mean Steam will download the entire game again

#5 - 03/08/2019 04:02 PM - Gameslinx
Anth12 wrote:

Create...I| mean Steam will download the entire game again

Yep. Redownloaded the game, changed resolution and it gets reverted back again. I'm not attaching a log. I've looked myself and there's no
exceptions.

If Squad feels like they NEED a log for something as stupidly simple as this | honestly wonder why on earth they're even being paid to do this. This is
just pathetic and should be fixed ASAP since this issue affects EVERYONE.

#6 - 03/08/2019 07:49 PM - Anth12

Heres what | have found out about this issue from other bug reports and others who | have seen play KSP:

1. Squad did try to reproduce this in a previous bug report even though the bug report in question had mods added to the game and couldn't
reproduce it

2. The bug report was done by someone with mods which means the issue could have been caused by one

3. Not everyone gets the bug or a lot more people would be complaining about it

4. | have a feeling most people use the native resolution so this issue wouldn't occur for them
5. A bug that doesn't affect everyone is frustrating to find at times and takes a LOT of testing to figure out and for Squad time is money.

Thanks for redownloading KSP and getting back to me.

Let me see if | can figure this bug out.
Whatever the cause is feels like an easy fix to me.

| will need to move my computer out into the livingroom to test this on the 4K TV. | will report my findings in a few hours

#7 - 03/09/2019 12:50 AM - Anth12
- Status changed from New to Confirmed

- % Done changed from 0 to 10

OK....s0 lets see what | did to try to replicate the bug

1. I moved my computer to the livingroom and hooked it up to the 4K screen.

2. | tested for the bug using your settings.cfg file and | couldnt replicate the problem

3. | tried different things like launching a rover onto the runway. going to the tracking station and then back. Going from the rover (flight) to the Space
Center. Tried launching a rocket into orbit and then going to the tracking station and back...etc etc etc. | couldnt get the bug you reported to work.

4. | went into the Nvidia control panel and changed the resolution and then went into KSP which resolution had been changed. Then | changed it back
to 2560 X 1440 and then did more testing which didnt give any evidence of your bug
5. I looked at the ksp.log file to see what video driver version you were using. | uninstalled the video drivers | had and installed the version you had
been using + Nvidia Experience which can change the settings of KSP...

6. At some point | realised | am playing KSP 1.6.1 and Making History 1.6.1...perhaps the bug isnt happening because it only happens without the
expansion. So | removed the expansion

6. | found an old career save file that was compatible with 1.6.1 which didnt have any of the parts the expansion had and then went and took my
mining ship from my ike station and landed it on Ike, then | went to the tracking station and back to the miner landed on Ike and nothing happened.
7. | refueled the mining ship on lke and used time warp (of course) and then went back up to the ike station. Then | went to the map view....then |
went to the tracking station where...Guess what...? The resolution changed to 3840 x 2160!!! BUG FOUND!. | then exited KSP and looked at the
settings file and it said 2560 X 1440.

8. | restarted KSP and repeated the steps | had taken before and the problem didnt happen.....

So...technically | can confirm the bug, but a piece of advice. Dont insult Squad or get annoyed with people on the bug trackers when they are the
ones who
want to help or can help. Insulting can have the opposite affect on people.

| have spent more than 4 hours on trying to confirm this bug. | spend hours on others at times and cant replicate them with enough information to
even respond to their reports.

My pet project for over 2 months has been trying to figure out why the rover wheels have been getting damaged on decoupling, Its 100s of hours of
testing and most of what | found out came down

to simple reasons in the end, so the report seems like | spent a few hours and found a problem when it took a long time...and right now more than
anything | want to play Subnautica!! But | like figuring out bugs too.

| am not even paid...just a hobbie. but thats 4 hours | spent on this bug. Squad already have tried to find the cause and failed because they dont have
enough information and they just dont have 4 hours to work on this.

So...Confirmed. However. Now | have to figure out what the EXACT trigger is. so...another 2 hours maybe.

#8 - 03/10/2019 02:07 AM - Anth12

The problem is too complicated to carry it on in this bug report. Making a new one and will give credit to this one.

Files

settings.cfg 31.3 KB 03/03/2019 Gameslinx
KSP.log 388 KB 03/03/2019 Gameslinx
Verify Integrity.png 22.9 KB 03/03/2019 Anth12
